| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_RNDIS_Host_t Struct Reference
RNDIS Class Host Mode Driver

RNDIS Class Host Mode Configuration and State Structure. More...

`#include <RNDISClassHost.h>`

## Data Fields
struct {
USB_Pipe_Table_t DataINPipe
USB_Pipe_Table_t DataOUTPipe
uint32_t HostMaxPacketSize
USB_Pipe_Table_t NotificationPipe
} | Config
struct {
uint8_t ControlInterfaceNumber
uint32_t DeviceMaxPacketSize
bool IsActive
uint32_t RequestID
} | State

## Detailed Description

Class state structure. An instance of this structure should be made within the user application, and passed to each of the RNDIS class driver functions as the `RNDISInterfaceInfo` parameter. This stores each RNDIS interface's configuration and state information.

## Field Documentation

struct { ... } USB_ClassInfo_RNDIS_Host_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t USB_ClassInfo_RNDIS_Host_t::ControlInterfaceNumber

Interface index of the RNDIS control interface within the attached device.

USB_Pipe_Table_t USB_ClassInfo_RNDIS_Host_t::DataINPipe

Data IN Pipe configuration table.

USB_Pipe_Table_t USB_ClassInfo_RNDIS_Host_t::DataOUTPipe

Data OUT Pipe configuration table.

uint32_t USB_ClassInfo_RNDIS_Host_t::DeviceMaxPacketSize

Maximum size of a packet which can be buffered by the attached RNDIS device.

uint32_t USB_ClassInfo_RNDIS_Host_t::HostMaxPacketSize

Maximum size of a packet which can be buffered by the host.

bool USB_ClassInfo_RNDIS_Host_t::IsActive

Indicates if the current interface instance is connected to an attached device, valid after RNDIS_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

USB_Pipe_Table_t USB_ClassInfo_RNDIS_Host_t::NotificationPipe

Notification IN Pipe configuration table.

uint32_t USB_ClassInfo_RNDIS_Host_t::RequestID

Request ID counter to give a unique ID for each command/response pair.

struct { ... } USB_ClassInfo_RNDIS_Host_t::State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Host/RNDISClassHost.h